
/*
    VPPP virtual PPP connection over TCP.

    Copyright (C) 1998,1999  Maxim Krasnyansky <max_mk@yahoo.com>

    Idea is based on Sam Lantinga's PPPTCP package, but code was 
    completely written from the scratch.

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.
*/

/*
 * Version: 2.1 03/06/1999 Maxim Krasnyansky <max_mk@yahoo.com>
 */ 

#define VERS "ver 2.0 12/20/1998"

/* Default VPPP port */
#define VPPP_PORT 4000

/* Default VPPP connect timeout in sec */
#define VPPP_CONN_TIMEOUT 30

/* General VPPP timeout for several operations, in sec */
#define VPPP_TIMEOUT 30

/* Default host file and max. number of hosts in it */
#define VPPP_HOSTS_FILE "/etc/vppp/hosts"
#define VPPP_MAX_HOSTS  200

/* Default servers file */
#define VPPP_SERVS_FILE "/etc/vppp/servers"

/* Location of pppd */
#define PPPD "/usr/sbin/pppd"
/* Max. len of pppd arguments string */
#define PPPD_ARGS_LEN 200

/* End of configurable part */

int link_fd_shp(int fd1,int fd2,int speed);
int link_fd_std(int fd1,int fd2);
int link_fd_cmp(int fd1,int fd2);

int getpty(char *pty);
int start_ppp(int rt_fd, char *host, int speed, char *ppp_arg);
void exec_pppd(char *arg);

void init_title(int argc,char *argv[],char *env[]);
void set_title(const char *ftm, ...);

int connect_t(int s, struct sockaddr *svr, time_t timeout);
int read_t(int fd, void *buf, size_t count, time_t timeout);

int write_n(int f, char *buf, int len);     
